---
features:
  primary:
  - name: "Track DORA 4 lead time for changes metric"
    available_in: [ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/analytics/ci_cd_analytics.html#lead-time-charts'
    image_url: '/images/unreleased/lead_time_mr.png'
    reporter: iganbaruch
    stage: release
    categories:
    - Continuous Delivery
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/250329'
    description: |
     Measuring the efficiency of your software development lifecycle is an important step to grow DevOps adoption for any organization. In the previous milestone, we added API support for [lead time for changes](https://docs.gitlab.com/ee/api/dora/metrics.html#get-project-level-dora-metrics) at the project level. These metrics give you an indication of throughput so you know how long it takes for code to be committed and deployed to your production environment. In this release, you can now access this capability in the GitLab UI through the CI/CD dashboard, where a new graph will show the lead time for changes with the ability to view different time ranges, such as the last week, last month, or the last 90 days.
